From 5fedc9a359648ee23ad51d298030795267006c16 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 04:46:17 +0000
Subject: [PATCH 1102/2232] Use a less strange return type for NamespaceEntries::children


---

diff --git a/gen/src/namespace_organizer.rs b/gen/src/namespace_organizer.rs
index 4aacc8f..525c367 100644
--- a/gen/src/namespace_organizer.rs
+++ b/gen/src/namespace_organizer.rs
@@ -17,8 +17,8 @@ impl<'a> NamespaceEntries<'a> {
         &self.entries
     }
 
-    pub fn children(&self) -> impl Iterator<Item = (&&Ident, &NamespaceEntries)> {
-        self.children.iter()
+    pub fn children(&self) -> impl Iterator<Item = (&Ident, &NamespaceEntries)> {
+        self.children.iter().map(|(k, entries)| (*k, entries))
     }
 
     fn sort_by_inner_namespace(apis: Vec<&'a Api>, depth: usize) -> Self {

